	.file	"example.txt"
	.text
	.globl	main                            # -- Begin function main
	.p2align	4
	.type	main,@function
main:                                   # @main
	.cfi_startproc
# %bb.0:                                # %entry
	subq	$24, %rsp
	.cfi_def_cfa_offset 32
	movl	$1071, 16(%rsp)                 # imm = 0x42F
	movl	$462, 12(%rsp)                  # imm = 0x1CE
	cmpl	$0, 12(%rsp)
	je	.LBB0_3
	.p2align	4
.LBB0_2:                                # %_do
                                        # =>This Inner Loop Header: Depth=1
	movl	16(%rsp), %eax
	movl	12(%rsp), %ecx
	cltd
	idivl	%ecx
	movl	%edx, 20(%rsp)
	movl	%ecx, 16(%rsp)
	movl	%edx, 12(%rsp)
	cmpl	$0, 12(%rsp)
	jne	.LBB0_2
.LBB0_3:                                # %_done
	movl	16(%rsp), %esi
	movl	$.L__unnamed_1, %edi
	xorl	%eax, %eax
	callq	printf@PLT
	xorl	%eax, %eax
	addq	$24, %rsp
	.cfi_def_cfa_offset 8
	retq
.Lfunc_end0:
	.size	main, .Lfunc_end0-main
	.cfi_endproc
                                        # -- End function
	.type	.L__unnamed_1,@object           # @0
	.section	.rodata.str1.1,"aMS",@progbits,1
.L__unnamed_1:
	.asciz	"%i\n"
	.size	.L__unnamed_1, 4

	.section	".note.GNU-stack","",@progbits
